添加 / 编辑捆绑产品
POST
/erp/sc/routing/storage/product/setBundled接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/storage/product/setBundled | HTTPS | POST | 1 |
请求参数
skustring必填product_namestring必填picture_listarray<object>隐藏子属性
pic_urlstringis_primaryintegermodelstringunitstringstatusintegercategory_idintegercategorystringbrand_idintegerbrandstringproduct_developerstringproduct_developer_uidintegerproduct_duty_uidsarray<any>is_append_product_dutyintegerproduct_creator_uidintegerdescriptionstringgroup_listarray<object>隐藏子属性
skustringquantityintegercost_ratiointeger请求示例
{
"sku": "skuAdd",
"product_name": "skuAddProductName",
"picture_list": [{
"pic_url": "http://www.news.cn/xxx/1129400title0h.jpg",
"is_primary": 1
}],
"model": "model s",
"unit": "个",
"status": 1,
"category_id": 1,
"category": "分类1",
"brand_id": 2,
"brand": "品牌2",
"product_developer": "张三",
"product_developer_uid": 12,
"product_duty_uids": [1, 2, 3],
"is_append_product_duty": 1,
"product_creator_uid": 13,
"description": "有logo 白盒",
"group_list": [{
"sku": "skuAdd1-1",
"quantity": 2
}]
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填隐藏子属性
product_idinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "8290CE90-93C5-4529-3A51-CA45B7C0CF0D",
"response_time": "2023-02-27 15:41:30",
"data": {
"product_id": 2125067
},
"total": 0
}